package com.wyattjmiller.entities

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("Recipe")
data class Recipe(
        val id: Int?,
        val name: String,
        val desc: String,
        val ingredients: String,
        var createdTimestamp: String,
        val author: Int,
        val deletedTimestamp: String,
)

@Serializable
@SerialName("RecipeDraft")
data class RecipeDraft(
        val name: String,
        val desc: String,
        val ingredients: String,
        val author: Int,
)
