package com.wyattjmiller.entities

import kotlinx.serialization.Serializable
import java.sql.Timestamp

@Serializable
data class User(
    val id: Int,
    val firstName: String,
    val lastName: String,
    val username: String,
    val emailAddress: String,
    val password: String,
    val createdTimestamp: String,
    val createdAuthors: Int,
)

@Serializable
data class UserLogin(
    val username: String,
    val password: String,
)

@Serializable
data class UserDraft(
    val firstName: String,
    val lastName: String,
    val username: String,
    val emailAddress: String,
    val password: String,
    val createdTimestamp: String
)